> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/api/reportsexternal.md).

# ReportsExternal

ReportsExternal

## List all external report urls for tenant

> List all external report urls for tenant

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ReportsExternal","description":"ReportsExternal"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"ExternalReportUrlResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ExternalReportUrlResponseSchema"}}}}}}}},"schemas":{"ExternalReportUrlResponseSchema":{"title":"ExternalReportUrlResponseSchema","type":"object","required":["name","url"],"properties":{"name":{"type":"string"},"url":{"type":"string","format":"uri"}}}}},"paths":{"/tenants/{tenantUid}/report-urls":{"get":{"summary":"List all external report urls for tenant","tags":["ReportsExternal"],"responses":{"200":{"$ref":"#/components/responses/ExternalReportUrlResponse"}},"operationId":"get-tenant-report-urls","description":"List all external report urls for tenant"}}}}
```

## List all external report urls for organization

> List all external report urls for organization

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ReportsExternal","description":"ReportsExternal"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"ExternalReportUrlResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ExternalReportUrlResponseSchema"}}}}}}}},"schemas":{"ExternalReportUrlResponseSchema":{"title":"ExternalReportUrlResponseSchema","type":"object","required":["name","url"],"properties":{"name":{"type":"string"},"url":{"type":"string","format":"uri"}}}}},"paths":{"/tenants/{tenantUid}/organizations/{organizationUid}/report-urls":{"get":{"summary":"List all external report urls for organization","tags":["ReportsExternal"],"responses":{"200":{"$ref":"#/components/responses/ExternalReportUrlResponse"}},"operationId":"get-organization-report-urls","description":"List all external report urls for organization"}}}}
```

## List all external report urls for store

> List all external report urls for store

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ReportsExternal","description":"ReportsExternal"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"ExternalReportUrlResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ExternalReportUrlResponseSchema"}}}}}}}},"schemas":{"ExternalReportUrlResponseSchema":{"title":"ExternalReportUrlResponseSchema","type":"object","required":["name","url"],"properties":{"name":{"type":"string"},"url":{"type":"string","format":"uri"}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/report-urls":{"get":{"summary":"List all external report urls for store","tags":["ReportsExternal"],"responses":{"200":{"$ref":"#/components/responses/ExternalReportUrlResponse"}},"operationId":"get-store-report-urls","description":"List all external report urls for store"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/api/reportsexternal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
